Ana içeriğe geç

Delete API Proxy Group

Endpoint​

DELETE /apiops/projects/{projectName}/apiProxyGroups/{apiProxyGroupName}/

Authentication​

Requires a Personal API Access Token.

Authorization: Bearer YOUR_TOKEN

Request​

Headers​

HeaderValueRequired
AuthorizationBearer {token}Yes

Path Parameters​

ParameterTypeRequiredDescription
projectNamestringYesProject name
apiProxyGroupNamestringYesAPI Proxy Group name

Request Body​

None.

Response​

Success Response (200 OK)​

{
"status": "SUCCESS"
}

Error Response (400 Bad Request)​

{
"status": "FAILURE",
"resultMessage": "API Proxy Group (PaymentAPIGroup) is not found or user does not have privilege to access it!"
}

cURL Example​

curl -X DELETE \
"https://demo.apinizer.com/apiops/projects/MyProject/apiProxyGroups/PaymentAPIGroup/" \
-H "Authorization: Bearer YOUR_TOKEN"

Permissions​

  • User must have API_MANAGEMENT + MANAGE permission in the project

Notes and Warnings​

  • Permanent Deletion:

    • API Proxy Group is permanently deleted
    • This action cannot be undone
  • API Proxy Associations:

    • API Proxies are removed from the group
    • API Proxies themselves are not deleted